## mythtv-dmo 35.0+really35+fixes20251031.git48241b2

=== libs/CMakeLists.txt ===
add_subdirectory(libmythbase)
add_subdirectory(libmythservicecontracts)
if(TARGET mythtv_mheg)
  add_subdirectory(libmythfreemheg)
endif()
if(NOT CONFIG_LIBMPEG2EXTERNAL)
  add_subdirectory(libmythmpeg2)
endif()
add_subdirectory(libmythui)
add_subdirectory(libmythupnp)
add_subdirectory(libmyth)
add_subdirectory(libmythtv)
add_subdirectory(libmythmetadata)
add_subdirectory(libmythprotoserver)

=== external/libmythdvdnav/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

# This is set up to be a separate sub-project, but is currently
# included by the MythTV sub-project.
project(
  DVDREAD
  VERSION 6.0.0
  LANGUAGES C)

include(CheckIncludeFile)
include(CheckSymbolExists)

# Remove some of the compilation flags that were added to MythTV by
# the -Wall flag.
unset(CFLAGS)
list(APPEND CFLAGS " -Wno-maybe-uninitialized")
list(APPEND CFLAGS " -Wno-unneeded-internal-declaration") # clang
list(APPEND CFLAGS " -Wno-unused-but-set-variable")
list(APPEND CFLAGS " -Wno-unused-variable")
# Remove some of the compilation flags that were added to MythTV by
# the -Wextra flag.
list(APPEND CFLAGS " -Wno-implicit-fallthrough")
list(APPEND CFLAGS " -Wno-unused-parameter")

foreach(_FLAG IN LISTS CFLAGS)
  string(SUBSTRING ${_FLAG} 1 -1 _NAME)
  check_c_compiler_flag("${_FLAG}" HAVE_C_${_NAME})
  if(HAVE_C_${_NAME})
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${_FLAG}")
  endif()
endforeach()

#
# Compile this library as a static library on Android because of the circular
# linking dependency issue with libmythtv (specifically the calls to the
# MythFile* functions).  Cmake only enables PIC code by default on shared
# libraries, so need to enable PIC on the library later after its defined.
#
if(ANDROID OR WIN32)
  set(LIBRARY_TYPE STATIC)
else()
  set(LIBRARY_TYPE SHARED)
endif()

add_library(
  mythdvdnav
  ${LIBRARY_TYPE}
  dvdnav/dvdnav.c
  dvdnav/dvdnav/dvd_types.h
  dvdnav/dvdnav/dvdnav.h
  dvdnav/dvdnav/dvdnav_events.h
  dvdnav/dvdnav_internal.h
  dvdnav/highlight.c
  dvdnav/navigation.c
  dvdnav/read_cache.c
  dvdnav/read_cache.h
  dvdnav/searching.c
  dvdnav/settings.c
  dvdnav/vm/decoder.c
  dvdnav/vm/decoder.h
  dvdnav/vm/getset.c
  dvdnav/vm/getset.h
  dvdnav/vm/play.c
  dvdnav/vm/play.h
  dvdnav/vm/vm.c
  dvdnav/vm/vm.h
  dvdnav/vm/vm_serialize.c
  dvdnav/vm/vm_serialize.h
  dvdnav/vm/vmcmd.c
  dvdnav/vm/vmcmd.h
  dvdnav/vm/vmget.c
  dvdread/bitreader.c
  dvdread/bswap.h
  dvdread/dvd_input.c
  dvdread/dvd_input.h
  dvdread/dvd_reader.c
  dvdread/dvd_udf.c
  dvdread/dvdread/bitreader.h
  dvdread/dvdread/dvd_reader.h
  dvdread/dvdread/dvd_udf.h
  dvdread/dvdread/ifo_print.h
  dvdread/dvdread/ifo_read.h
  dvdread/dvdread/ifo_types.h
  dvdread/dvdread/nav_print.h
  dvdread/dvdread/nav_read.h
  dvdread/dvdread/nav_types.h
  dvdread/dvdread_internal.h
  dvdread/ifo_print.c
  dvdread/ifo_read.c
  dvdread/md5.c
  dvdread/md5.h
  dvdread/mythdvdreadexp.h
  dvdread/nav_print.c
  dvdread/nav_read.c
  include/libmythbase/compat.h
  include/libmythtv/mythtvexp.h
  include/libmythtv/io/mythiowrapper.h)

# Don't allow the hidden visibility flag for this target.
set_property(TARGET mythdvdnav PROPERTY C_VISIBILITY_PRESET)

check_include_file(dlfcn.h HAVE_DLFCN_H)
check_include_file(dvdcss/dvdcss.h HAVE_DVDCSS_DVDCSS_H)
check_include_file(sys/param.h HAVE_SYS_PARAM_H)
check_symbol_exists(gettimeofday "sys/time.h" HAVE_GETTIMEOFDAY)
if(CMAKE_CXX_BYTE_ORDER STREQUAL "BIG_ENDIAN")
  set(HAVE_BIGENDIAN 1)
endif()

# Create stripped down config.h with only the symbols that are used in this
# directory.
configure_file(config.h.in config.h @ONLY)
configure_file(mythconfig.h.in mythconfig.h @ONLY)

# Instead of creating a circular dependency by adding an include path into
# external/libmythdvdnav that points over to libs/libmythxxx, just copy in the
# files that are needed.
add_custom_command(
  OUTPUT include/libmythbase include/libmythtv include/libmythtv/io
  COMMAND ${CMAKE_COMMAND} -E make_directory include/libmythbase
          include/libmythtv/io)
add_custom_command(
  OUTPUT include/libmythbase/compat.h
  DEPENDS include/libmythbase
  COMMAND ${CMAKE_COMMAND} -E copy_if_different
          ${MythTV_SOURCE_DIR}/libs/libmythbase/compat.h include/libmythbase)
add_custom_command(
  OUTPUT include/libmythtv/mythtvexp.h
  DEPENDS include/libmythtv
  COMMAND ${CMAKE_COMMAND} -E copy_if_different
          ${MythTV_SOURCE_DIR}/libs/libmythtv/mythtvexp.h include/libmythtv)
add_custom_command(
  OUTPUT include/libmythtv/io/mythiowrapper.h
  DEPENDS include/libmythtv/io
  COMMAND
    ${CMAKE_COMMAND} -E copy_if_different
    ${MythTV_SOURCE_DIR}/libs/libmythtv/io/mythiowrapper.h include/libmythtv/io)

target_link_libraries(mythdvdnav PUBLIC ${CMAKE_DL_LIBS})
if(APPLE)
  target_link_libraries(mythdvdnav PRIVATE ${APPLE_CORE_FOUNDATION})
endif()
if(HAVE_DVDCSS_DVDCSS_H)
  target_link_libraries(mythdvdnav PRIVATE dvdcss)
endif()

#
# The MythTV customization to dvdnav adds references to the MythFile* functions,
# which are defined in libs/libmythtv. to allow these symbols to remain
# undefined while linking mythdvdnav, the "-Wl,--no-undefined" option cannot be
# a part of the link line. The android toolchain file adds this argument by
# default, so it needs to be stripped here.
#
if(CMAKE_C_COMPILER_ID MATCHES "Clang")
  if(CMAKE_SHARED_LINKER_FLAGS)
    string(REPLACE "-Wl,--no-undefined" "" CMAKE_SHARED_LINKER_FLAGS
                   ${CMAKE_SHARED_LINKER_FLAGS})
  endif()

  # Compiles with clang on Apple specifically need "-undefined dynamic_lookup"
  # added to the linker flags.  This prevents the linker from failing
  # immediately with complaints about undefined symbols, and defers the lookup
  # to the loader.  Its not clear if this helps on Android (since the explicit
  # opposite has just been removed), but it couldn't hurt.
  target_link_options(mythdvdnav PRIVATE -undefined dynamic_lookup)
endif()

# These defines don't appear to be used anywhere in the sources, but they were
# set up by the libmythdvdnav.pro file... so here they are.
set_target_properties(
  mythdvdnav PROPERTIES COMPILE_OPTIONS "-Wno-address-of-packed-member"
                        COMPILE_DEFINITIONS "HAVE_CONFIG_H")

#
# Compile PIC code on android.  The default for PIC code is ON for shared
# libraries, but on android this library is built as a static library because of
# the circular linking dependency issue with libmythtv.
#
if(ANDROID)
  set_target_properties(
    mythdvdnav PROPERTIES POSITION_INDEPENDENT_CODE ON
                          SUFFIX "-${CMAKE_PROJECT_VERSION_MAJOR}.a")
endif()

target_include_directories(
  mythdvdnav
  PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/dvdnav ${CMAKE_CURRENT_SOURCE_DIR}/dvdread
  PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/include)

install(
  TARGETS mythdvdnav
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== libs/libmyth/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

#
# Enumerate all headers
#
set(LIBMYTH_HEADERS
    mythaverror.h
    mythavframe.h
    mythcontext.h
    mythexp.h
    output.h
    visual.h
    )

set(LIBMYTH_HEADERS_NOT_INSTALLED backendselect.h dbsettings.h)

set(AUDIO_HEADERS
    audio/audioconvert.h
    audio/audiooutput.h
    audio/audiooutputsettings.h
    audio/audiooutpututil.h
    audio/audiosettings.h
    audio/eldutils.h
    audio/volumebase.h)

set(AUDIO_HEADERS_NOT_INSTALLED
    audio/audiooutputbase.h
    audio/audiooutputbase.h
    audio/audiooutputdigitalencoder.h
    audio/audiooutputdownmix.h
    audio/audiooutputgraph.h
    audio/audiooutputnull.h
    audio/freesurround.h
    audio/freesurround_decoder.h
    audio/pink.h
    audio/spdifencoder.h)

#
# Declare the library
#
add_library(
  myth
  # Include headers here so the they will be scanned for Qt classes
  # and potentially have MOC invoked on them.
  ${AUDIO_HEADERS_NOT_INSTALLED}
  ${AUDIO_HEADERS}
  ${LIBMYTH_HEADERS_NOT_INSTALLED}
  ${LIBMYTH_HEADERS}
  audio/audioconvert.cpp
  audio/audiooutput.cpp
  audio/audiooutputbase.cpp
  audio/audiooutputdigitalencoder.cpp
  audio/audiooutputdownmix.cpp
  audio/audiooutputgraph.cpp
  audio/audiooutputnull.cpp
  audio/audiooutputsettings.cpp
  audio/audiooutpututil.cpp
  audio/audiosettings.cpp
  audio/eldutils.cpp
  audio/freesurround.cpp
  audio/freesurround_decoder.cpp
  audio/pink.cpp
  audio/spdifencoder.cpp
  audio/volumebase.cpp
  backendselect.cpp
  dbsettings.cpp
  mythaverror.cpp
  mythcontext.cpp
  output.cpp
  )

#
# Platform stuff
#

if(TARGET mythtv_oss)
  target_sources(myth PRIVATE audio/audiooutputoss.cpp audio/audiooutputoss.h)
endif()

if(TARGET PkgConfig::ALSA)
  target_sources(myth PRIVATE audio/audiooutputalsa.cpp audio/audiooutputalsa.h)
endif()
if(TARGET PkgConfig::JACK)
  target_sources(myth PRIVATE audio/audiooutputjack.cpp audio/audiooutputjack.h)
endif()
if(TARGET PkgConfig::PULSEAUDIO)
  target_sources(myth PRIVATE audio/audiopulsehandler.cpp
                              audio/audiopulsehandler.h)
  if(ENABLE_AUDIO_PULSEOUTPUT)
    target_sources(myth PRIVATE audio/audiooutputpulse.cpp
                                audio/audiooutputpulse.h)
  endif()
endif()

if(WIN32)
  target_sources(
    myth
    PRIVATE audio/audiooutputwin.cpp audio/audiooutputdx.cpp
            audio/audiooutputwin.h audio/audiooutputdx.h)
elseif(ANDROID)
  target_sources(
    myth PRIVATE audio/audiooutputopensles.cpp audio/audiooutputaudiotrack.cpp
                 audio/audiooutputopensles.h audio/audiooutputaudiotrack.h)
endif()

if(MINGW OR win32-msvc)
  target_sources(myth PRIVATE audio/audiooutputwin.cpp
                              audio/audiooutputdx.cpp)
  target_link_libraries(myth PRIVATE winmm ws2_32 user32 PkgConfig::SAMPLERATE
                                     PkgConfig::SoundTouch)
endif()

if(APPLE)
  target_sources(myth PRIVATE audio/audiooutputca.cpp audio/audiooutputca.h)
  target_link_libraries(
    myth
    PRIVATE ${APPLE_APPLICATIONSERVICES_LIBRARY} ${APPLE_AUDIOTOOLBOX_LIBRARY}
            ${APPLE_AUDIOUNIT_LIBRARY} ${APPLE_COREAUDIO_LIBRARY})
endif()

#
# All remaining target information
#

target_compile_definitions(myth PRIVATE MYTH_API)

target_include_directories(
  myth
  PRIVATE .
  PUBLIC ${PROJECT_SOURCE_DIR}/libs)

target_link_libraries(
  myth
  PRIVATE Qt${QT_VERSION_MAJOR}::Core
          Qt${QT_VERSION_MAJOR}::Network
          Qt${QT_VERSION_MAJOR}::Sql
          Qt${QT_VERSION_MAJOR}::Xml
          Qt${QT_VERSION_MAJOR}::Widgets
          PkgConfig::SAMPLERATE
          PkgConfig::SoundTouch
          $<TARGET_NAME_IF_EXISTS:mythtv_oss>
          $<TARGET_NAME_IF_EXISTS:PkgConfig::ALSA>
          $<TARGET_NAME_IF_EXISTS:PkgConfig::JACK>
          $<TARGET_NAME_IF_EXISTS:PkgConfig::PULSEAUDIO>
          $<$<BOOL:${WIN32}>:winmm>
          $<$<BOOL:${WIN32}>:ws2_32>
          $<$<BOOL:${WIN32}>:user32>
  PUBLIC mythbase
         mythui
         mythupnp
         mythbluray
         PkgConfig::LIBAVCODEC
         PkgConfig::LIBAVFORMAT
         PkgConfig::LIBAVUTIL
         PkgConfig::LIBSWRESAMPLE)

#
# Installation section
#

install(TARGETS myth LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${LIBMYTH_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mythtv/libmyth)

install(FILES ${AUDIO_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mythtv/libmyth/audio)

=== libs/libmythbase/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

#
# Enumerate all headers
#

set(LIBMYTHBASE_HEADERS
    autodeletedeque.h
    compat.h
    dbutil.h
    exitcodes.h
    filesysteminfo.h
    hardwareprofile.h
    iso3166.h
    iso639.h
    lcddevice.h
    loggingserver.h
    mthread.h
    mthreadpool.h
    mythbaseexp.h
    mythcdrom.h
    mythchrono.h
    mythcommandlineparser.h
    mythcorecontext.h
    mythcoreutil.h
    mythdate.h
    mythdb.h
    mythdbcheck.h
    mythdbcon.h
    mythdbparams.h
    mythdeque.h
    mythdirs.h
    mythdownloadmanager.h
    mythevent.h
    mythlocale.h
    mythlogging.h
    mythmedia.h
    mythmiscutil.h
    mythobservable.h
    mythplugin.h
    mythpluginapi.h
    mythpluginexport.h
    mythrandom.h
    mythsession.h
    mythsingledownload.h
    mythsocket.h
    mythsocket_cb.h
    mythsorthelper.h
    mythstorage.h
    mythsystem.h
    mythsystemlegacy.h
    mythtimer.h
    mythtranslation.h
    mythtypes.h
    netgrabbermanager.h
    netutils.h
    programinfo.h
    programtypes.h
    programtypeflags.h
    recordingstatus.h
    recordingtypes.h
    referencecounter.h
    referencecounterlist.h
    remotefile.h
    remoteutil.h
    rssparse.h
    rssmanager.h
    serverpool.h
    signalhandling.h
    sizetliteral.h
    storagegroup.h
    stringutil.h
    threadedfilewriter.h
    verbosedefs.h)

set(LIBMYTHBASE_HEADERS_NOT_INSTALLED
    mythbinaryplist.h
    cleanupguard.h
    configuration.h
    housekeeper.h
    logging.h
    mconcurrent.h
    mythhdd.h
    mythpower.h
    mythscheduler.h
    mythsystemprivate.h
    mythtimezone.h
    portchecker.h
    programinfoupdater.h
    unzip2.h
    unziputil.h)

set(LIBMYTHBASE_HTTP_HEADERS
    http/mythhttpcache.h
    http/mythhttpcommon.h
    http/mythhttpdata.h
    http/mythhttpencoding.h
    http/mythhttpfile.h
    http/mythhttpinstance.h
    http/mythhttpmetamethod.h
    http/mythhttpmetaservice.h
    http/mythhttpparser.h
    http/mythhttpranges.h
    http/mythhttprequest.h
    http/mythhttpresponse.h
    http/mythhttprewrite.h
    http/mythhttproot.h
    http/mythhttps.h
    http/mythhttpserver.h
    http/mythhttpservice.h
    http/mythhttpservices.h
    http/mythhttpsocket.h
    http/mythhttpthread.h
    http/mythhttpthreadpool.h
    http/mythhttptypes.h
    http/mythmimedatabase.h
    http/mythmimetype.h
    http/mythwebsocket.h
    http/mythwebsocketevent.h
    http/mythwebsockettypes.h
    http/mythwsdl.h
    http/mythxsd.h
    http/serialisers/mythcborserialiser.h
    http/serialisers/mythjsonserialiser.h
    http/serialisers/mythserialiser.h
    http/serialisers/mythxmlplistserialiser.h
    http/serialisers/mythxmlserialiser.h)

#
# Declare the library
#
add_library(
  mythbase
  # Include headers here so the they will be scanned for Qt classes
  # and potentially have MOC invoked on them.
  ${LIBMYTHBASE_HEADERS}
  ${LIBMYTHBASE_HEADERS_NOT_INSTALLED}
  ${LIBMYTHBASE_HTTP_HEADERS}
  cleanupguard.cpp
  configuration.cpp
  dbcheckcommon.cpp
  dbutil.cpp
  filesysteminfo.cpp
  hardwareprofile.cpp
  housekeeper.cpp
  http/mythhttpcache.cpp
  http/mythhttpcommon.cpp
  http/mythhttpdata.cpp
  http/mythhttpencoding.cpp
  http/mythhttpfile.cpp
  http/mythhttpinstance.cpp
  http/mythhttpmetamethod.cpp
  http/mythhttpmetaservice.cpp
  http/mythhttpparser.cpp
  http/mythhttpranges.cpp
  http/mythhttprequest.cpp
  http/mythhttpresponse.cpp
  http/mythhttprewrite.cpp
  http/mythhttproot.cpp
  http/mythhttps.cpp
  http/mythhttpserver.cpp
  http/mythhttpservice.cpp
  http/mythhttpservices.cpp
  http/mythhttpsocket.cpp
  http/mythhttpthread.cpp
  http/mythhttpthreadpool.cpp
  http/mythmimedatabase.cpp
  http/mythmimetype.cpp
  http/mythwebsocket.cpp
  http/mythwebsocketevent.cpp
  http/mythwebsockettypes.cpp
  http/mythwsdl.cpp
  http/mythxsd.cpp
  http/serialisers/mythcborserialiser.cpp
  http/serialisers/mythjsonserialiser.cpp
  http/serialisers/mythserialiser.cpp
  http/serialisers/mythxmlplistserialiser.cpp
  http/serialisers/mythxmlserialiser.cpp
  iso3166.cpp
  iso639.cpp
  lcddevice.cpp
  logging.cpp
  loggingserver.cpp
  mthread.cpp
  mthreadpool.cpp
  mythbaseutil.h
  mythbinaryplist.cpp
  mythcdrom.cpp
  mythcommandlineparser.cpp
  mythconfig.h.in
  mythcorecontext.cpp
  mythcoreutil.cpp
  mythdate.cpp
  mythdb.cpp
  mythdbcon.cpp
  mythdbparams.cpp
  mythdirs.cpp
  mythdownloadmanager.cpp
  mythevent.cpp
  mythhdd.cpp
  mythlocale.cpp
  mythmedia.cpp
  mythmiscutil.cpp
  mythobservable.cpp
  mythplugin.cpp
  mythpower.cpp
  mythrandom.cpp
  mythsession.cpp
  mythsingledownload.cpp
  mythsocket.cpp
  mythsorthelper.cpp
  mythstorage.cpp
  mythsystem.cpp
  mythsystemlegacy.cpp
  mythtimer.cpp
  mythtimezone.cpp
  mythtranslation.cpp
  mythtypes.cpp
  mythversion.cpp
  mythversion.h.in
  netgrabbermanager.cpp
  netutils.cpp
  portchecker.cpp
  programinfo.cpp
  programinfoupdater.cpp
  programtypes.cpp
  recordingstatus.cpp
  recordingtypes.cpp
  referencecounter.cpp
  remotefile.cpp
  remoteutil.cpp
  rssparse.cpp
  rssmanager.cpp
  serverpool.cpp
  signalhandling.cpp
  storagegroup.cpp
  stringutil.cpp
  threadedfilewriter.cpp
  unzip2.cpp
  unziputil.cpp)

#
# All remaining target information
#

target_compile_definitions(mythbase PRIVATE MBASE_API)

# The libudfread library is guaranteed to be installed by this point. Either by
# the system, or by the higher level CMakeLists.txt file that includes MythTV as
# an external project.
set_source_files_properties(mythcdrom.cpp PROPERTIES COMPILE_DEFINITIONS
                                                     HAVE_LIBUDFREAD)

set_source_files_properties(
  mythdirs.cpp
  PROPERTIES
    COMPILE_DEFINITIONS
    "RUNPREFIX=\"${MYTH_RUN_PREFIX}\";LIBDIRNAME=\"${CMAKE_INSTALL_LIBDIR}\"")
target_include_directories(
  mythbase
  PRIVATE .
  PUBLIC # Includes with directory name
         $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/libs>
         # Generated includes with dir name
         $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/libs>
         # For mythconfig.h
         $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/mythtv>)

target_link_libraries(
  mythbase
  PUBLIC Qt${QT_VERSION_MAJOR}::Core
         Qt${QT_VERSION_MAJOR}::Network
         Qt${QT_VERSION_MAJOR}::Sql
         Qt${QT_VERSION_MAJOR}::Widgets
         Qt${QT_VERSION_MAJOR}::Xml
         PkgConfig::LIBUDFREAD
         PkgConfig::LIBZIP
         $<TARGET_NAME_IF_EXISTS:Qt6::Core5Compat>
         $<TARGET_NAME_IF_EXISTS:X11::X11>
         $<TARGET_NAME_IF_EXISTS:Threads::Threads>
         ZLIB::ZLIB)
if(ANDROID)
  target_link_libraries(mythbase PRIVATE log)
elseif(WIN32)
  target_link_libraries(mythbase PUBLIC ssp wsock32)
endif()

#
# conditionally included code
#
if(UNIX)
  target_sources(mythbase PRIVATE mythsystemunix.h mythsystemunix.cpp)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  target_sources(mythbase PRIVATE mythcdrom-linux.h mythcdrom-linux.cpp)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  target_sources(mythbase PRIVATE mythcdrom-freebsd.h mythcdrom-freebsd.cpp)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  target_sources(
    mythbase
    PRIVATE mythcdrom-darwin.h mythcdrom-darwin.cpp platforms/mythpowerosx.h
            platforms/mythpowerosx.cpp platforms/mythcocoautils.h
            platforms/mythcocoautils.mm)
  target_link_libraries(
    mythbase PRIVATE ${APPLE_IOKIT_LIBRARY} ${APPLE_COCOA_LIBRARY}
                     ${APPLE_COREFOUNDATION_LIBRARY})
elseif(WIN32)
  target_sources(mythbase PRIVATE mythsystemwindows.h mythsystemwindows.cpp)
endif()

if(TARGET PkgConfig::LIBDNS_SD)
  target_sources(mythbase PRIVATE bonjourregister.h bonjourregister.cpp)
  target_link_libraries(mythbase PRIVATE PkgConfig::LIBDNS_SD)
endif()

if(TARGET Qt${QT_VERSION_MAJOR}::DBus)
  target_sources(mythbase PRIVATE platforms/mythpowerdbus.h
                                  platforms/mythpowerdbus.cpp)
  target_link_libraries(mythbase PRIVATE Qt${QT_VERSION_MAJOR}::DBus)
endif()

#
# Generated files section
#
configure_file(mythversion.h.in mythversion.h @ONLY)
configure_file(mythconfig.h.in mythconfig.h @ONLY)
file(CREATE_LINK ${CMAKE_CURRENT_BINARY_DIR}/mythconfig.h
     ${PROJECT_BINARY_DIR}/config.h SYMBOLIC)

#
# Regenerate version.h every compile
#
add_custom_target(
  update_version_h ALL
  COMMAND ${PROJECT_SOURCE_DIR}/version.sh $<IF:$<BOOL:${VERBOSE}>,,-q>
  ${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR}
  COMMENT "Update version.h"
  BYPRODUCTS version.h)

#
# Installation section
#

install(TARGETS mythbase LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mythconfig.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mythtv)

install(FILES ${LIBMYTHBASE_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/version.h
              ${CMAKE_CURRENT_BINARY_DIR}/mythversion.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mythtv/libmythbase)

if(ANDROID)
  set(DEST_PREFIX mythbase${CMAKE_SHARED_LIBRARY_SUFFIX_C})
  string(REPLACE ".so" "" DEST_PREFIX ${DEST_PREFIX})
  install(
    FILES android-dependencies.xml
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RENAME ${DEST_PREFIX}-android-dependencies.xml)
endif(ANDROID)

=== programs/mythwelcome/CMakeLists.txt ===
add_executable(
  mythwelcome
  mythwelcome.cpp
  mythwelcome_commandlineparser.cpp
  mythwelcome_commandlineparser.h
  welcomedialog.cpp
  welcomedialog.h
  welcomesettings.cpp
  welcomesettings.h)

target_include_directories(mythwelcome PRIVATE .)

if(WIN32)
  target_compile_definitions(mythwelcome PRIVATE WINDOWS_CLOSE_CONSOLE)
endif()

target_link_libraries(mythwelcome PUBLIC myth mythtv mythbase mythui)

install(TARGETS mythwelcome RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== libs/libmythui/test/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

if(CMAKE_CROSSCOMPILING)
  return()
endif()

add_subdirectory(test_mythgenerictree)
add_subdirectory(test_settings)

=== external/libexiv2/include/exiv2/CMakeLists.txt ===
install(FILES
            basicio.hpp
            bigtiffimage.hpp
            bmpimage.hpp
            config.h
            convert.hpp
            cr2image.hpp
            crwimage.hpp
            datasets.hpp
            easyaccess.hpp
            error.hpp
            exif.hpp
            exiv2.hpp
            futils.hpp
            gifimage.hpp
            http.hpp
            image.hpp
            image_types.hpp
            ini.hpp
            iptc.hpp
            jp2image.hpp
            jpgimage.hpp
            metadatum.hpp
            mrwimage.hpp
            orfimage.hpp
            pgfimage.hpp
            pngimage.hpp
            preview.hpp
            properties.hpp
            psdimage.hpp
            rafimage.hpp
            rw2image.hpp
            slice.hpp
            tags.hpp
            tgaimage.hpp
            tiffimage.hpp
            types.hpp
            value.hpp
            version.hpp
            webpimage.hpp
            xmp_exiv2.hpp
            xmpsidecar.hpp
        DESTINATION
            ${CMAKE_INSTALL_INCLUDEDIR}/mythtv/exiv2)

=== libs/libmythtv/test/test_mythiowrapper/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_mythiowrapper test_mythiowrapper.cpp test_mythiowrapper.h)

target_compile_definitions(
  test_mythiowrapper PRIVATE TEST_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

target_include_directories(test_mythiowrapper PRIVATE . ../..)

target_link_libraries(test_mythiowrapper PUBLIC mythtv
                                                Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME IOWrapper COMMAND test_mythiowrapper)

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20251031.git48241b2-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Oct 2025 16:03:46 +0100

=== debian/control ===
Source: mythtv-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.mythtv.org/
Standards-Version: 4.7.2
Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev,
 amf-codec-headers, python3-pip,
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
 libvorbis-dev, default-libmysqlclient-dev, libfreetype-dev, libjack-jackd2-dev,
 libavc1394-dev [linux-any], libfaad-dev, liblirc-dev, qtbase5-dev,
 libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev, libxinerama-dev,
 quilt, libtag-dev, libiec61883-dev (>= 1.0.0) [linux-any], libxxf86vm-dev,
 po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo, libxrandr-dev,
 nasm [any-amd64 any-i386], libfftw3-dev, libfribidi-dev, libxml2-dev, libgl-dev,
 liba52-0.7.4-dev, libxvidcore-dev, libpulse-dev, libtool-bin, libvdpau-dev,
 libsctp-dev, libdrm-dev, libcec-dev (>= 2:6~), uuid-dev, python3-simplejson,
 libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev, python3-requests,
 nv-codec-headers [amd64 i386 arm64], libegl-dev, libx264-dev (>= 3:0.159~),
 libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2), libavahi-compat-libdnssd-dev,
 libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
 libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libx265-dev,
 libmp3lame-dev, libxnvctrl-dev, liblzo2-dev, cmake, libdav1d-dev, libaom-dev,
 python3-mysqldb, python3-lxml, libxml2-utils, libxcb-shm0-dev, libzip-dev,
 libsoundtouch-dev (>= 1.8.0~), glslang-dev, waylandpp-dev, libudfread-dev,
 pkgconf,  qtbase5-private-dev, clang [amd64 arm64], libxcb-xfixes0-dev,
 libxcb-shm0-dev, libxcb-shape0-dev, libexiv2-dev,
 libdbi-perl, libdbd-mysql-perl, libhttp-message-perl, libio-socket-inet6-perl,
 libwww-perl, libnet-upnp-perl, libxml-simple-perl, python3-setuptools,
 qtbase-abi-5-15-17,
 dh-linktree,
 libjs-jquery-ui, node-fortawesome-fontawesome-free,

Package: mythtv
Architecture: all
Pre-Depends: default-mysql-server | virtual-mysql-server,
Depends: mythtv-database (>= ${source:Version}), mythtv-frontend (>= ${source:Version}), mythtv-backend (>= ${source:Version}), ${misc:Depends},
Recommends: mythtv-doc,
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 This package will install a complete MythTV client/server environment on a
 single system, including a MySQL server.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.

Package: mythtv-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, python3:any, libxml-xpath-perl, default-mysql-client | virtual-mysql-client | mariadb-client, adduser,
Recommends: mythtv-doc (>= ${source:Version}), python3-selinux,
Conflicts: mythlogserver,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Multi-Arch: foreign
Depends: mythtv-common (>= ${source:Version}), ${misc:Depends}, dbconfig-mysql | dbconfig-no-thanks, libdbd-mysql-perl, cron | cron-daemon,
Recommends: default-mysql-server | virtual-mysql-server,
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 This package sets up a MySQL database for use MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, sysvinit-utils (>= 3.05-4~), mythtv-transcode, python3:any, python3-pycurl, python3-mythtv,
Replaces: mythtv-common (<= 0.27.0-dmo2),
Recommends: mythtv-database, logrotate, xmltv-util, libmythtv-perl,
Suggests: mythtv-frontend, mythweb,
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, python3-mythtv,
Recommends: libmythtv-perl,
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ffmpeg,
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-35
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-mysql, procps, iputils-ping,
Recommends: udisks2, ${shlibs:Recommends},
Breaks: libmyth-31, libmyth-33, libmyth-34,
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libmyth-35 (= ${binary:Version}), ${misc:Depends},
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: libmythtv-perl
Architecture: all
Section: perl
Depends: ${perl:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, libwww-perl, libnet-upnp-perl, libio-socket-inet6-perl, libhttp-message-perl, libxml-simple-perl,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains Perl bindings to access mythtv datas.

Package: python3-mythtv
Architecture: all
Section: python
Conflicts: python-mythtv,
Replaces: python-mythtv,
Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-requests-cache, python3-simplejson, python3-dateutil,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for some python MythTV add-ons.

Package: php-mythtv
Architecture: all
Section: php
Depends: ${misc:Depends}, libapache2-mod-php | php,
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for using PHP based applications that
 connect to MythTV backends.

Package: mythffmpeg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Section: utils
Description: Special ffmpeg version for nuvexport
 Special ffmpeg version for nuvexport. This binary is linked against the
 libmythav* libraries and not libraries in libavc* packages.

Package: libmythavcodec61
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavcodec package for MythTV
 This package is only used by MythTV packages.

Package: libmythavdevice61
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavdevice package for MythTV
 This package is only used by MythTV packages.

Package: libmythavfilter10
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavfilter package for MythTV
 This package is only used by MythTV packages.

Package: libmythavformat61
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavformat package for MythTV
 This package is only used by MythTV packages.

Package: libmythavutil59
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavutil package for MythTV
 This package is only used by MythTV packages.

Package: libmythpostproc58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libpostproc package for MythTV
 This package is only used by MythTV packages.

Package: libmythswscale8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libswscale package for MythTV
 This package is only used by MythTV packages.

Package: libmythswresample5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: swresample package for MythTV
 This package is only used by MythTV packages.

Package: mythtv-transcode
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends},
Suggests: mythtv-backend, mytharchive,
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif

ifeq (noopt,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif
ifdef DEBUG_BUILD
	CONFIGURE_OPTS += --compile-type=debug
endif

ifeq (ccache,$(findstring ccache,$(PATH)))
	CONFIGURE_OPTS += --cc=/usr/lib/ccache/cc --cxx=/usr/lib/ccache/c++
endif

ifeq "$(DEB_BUILD_ARCH)" "i386"
	CONFIGURE_OPTS += --enable-vaapi
else
ifeq "$(DEB_BUILD_ARCH)" "amd64"
	CONFIGURE_OPTS += --enable-vaapi
else
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
        CONFIGURE_OPTS += --disable-altivec
else
ifeq "$(DEB_BUILD_ARCH)" "armhf"
        CONFIGURE_OPTS += --disable-mmal
endif
endif
endif
endif

MYTH_BINARY_VERSION = $(shell grep SOURCE_VERSION SRC_VERSION | cut -d'"' -f2 | cut -d'v' -f2)

# ffmpeg version
# cat external/FFmpeg/RELEASE

ifneq "$(MYTH_BINARY_VERSION)" "35.0"
	exit 1
endif

%:
	dh $@ --with quilt,linktree -XREADME.license

override_dh_auto_configure:
	./configure \
	--arch=$(DEB_HOST_GNU_CPU) \
	--compile-type=release \
	--disable-ffprobe \
	--disable-qtwebkit \
	--enable-hdhomerun \
	--enable-libdav1d \
	--enable-libmp3lame \
	--enable-libvpx \
	--enable-libx264 \
	--enable-libx265 \
	--enable-libxvid \
	--enable-nonfree \
	--enable-pic \
	--enable-vulkan \
	--extra-cflags="$(CFLAGS)" \
	--libdir-name=lib/$(DEB_HOST_MULTIARCH) \
	--perl-config-opts=INSTALLDIRS=vendor \
	--prefix=/usr \
	--runprefix=/usr \
	--with-bindings="perl python php" \
	$(CONFIGURE_OPTS)

## --enable-libglslang
##	--enable-libmpeg2external \

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	perl -i -pe 's,CONFIG_THUMB 0,CONFIG_THUMB 1,' config.h
endif

ifeq "$(DEB_BUILD_ARCH)" "armel"
	perl -i -pe 's,-DHAVE_CONFIG_H,-DHAVE_CONFIG_H -DHAVE_PTHREAD_H,' external/libudfread/Makefile
endif

#	exit 1

override_dh_auto_install:
	$(MAKE) install PREFIX=usr INSTALL_ROOT=$(CURDIR)/debian/tmp/

#	exit 1

# Not needed
	rm debian/tmp/usr/bin/mythwikiscripts
	find debian/tmp -name .npmignore -delete

	find debian/tmp/usr/share -type f -exec chmod 0644 {} \;

# Keep executable
	chmod +x debian/tmp/usr/share/mythtv/*.pl
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/ttvdb*.py
	chmod +x debian/tmp/usr/share/mythtv/metadata/Movie/tmdb*.py
	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.py
	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.pl
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tmdb3tv.py
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tvmaze.py
	chmod +x debian/tmp/usr/share/mythtv/hardwareprofile/sendProfile.py

override_dh_install:
	rm debian/tmp/usr/share/mythtv/fonts/*.txt

# Not needed. All svg are already in the primeicons.svg file
	rm -rf debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/raw-svg
	rm -rf debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/demo-files
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/demo*
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/CHANGELOG.md
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/README.md
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/package.json
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/selection.json

	dh_install -X.a -XCOPYING -XLICENSE

	dh_install -pmythtv-frontend debian/mythtv.desktop usr/share/applications
	dh_install -XCOPYING -XLICENSE -pmythtv-backend debian/mythtv-setup.desktop usr/share/applications

	rm -f debian/mythtv/usr/share/mythtv/setup.xml

override_dh_installdocs:
	dh_installdocs -XCOPYING -A README debian/README.Debian AUTHORS

override_dh_strip:
ifneq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -a
endif

override_dh_installexamples-indep:
	dh_installexamples -pmythtv-doc contrib/*

override_dh_installinit:
	dh_installinit -u'defaults 40 16'

override_dh_compress-arch:
	dh_compress -X.py -X.pl

override_dh_fixperms-arch:
	dh_fixperms -X.py -X.pl

override_dh_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

	dh_quilt_unpatch

	debconf-updatepo

	dh_clean debian/libmythtv-recommends-dummy.so \
	bindings/perl/Makefile.PL \
	bindings/python/MythTV.egg-info/* \
	bindings/python/MythTV/services_api/mythversions.py \
	bindings/python/MythTV/_versions.py \
	bindings/python/setup.cfg \
	config.fate \
	config.log \
	external/FFmpeg/doc/config.texi \
	external/FFmpeg/ffbuild/bin2c_host.d \
	external/FFmpeg/ffbuild/bin2c_host.o \
	external/FFmpeg/libavfilter/cuda/load_helper.d \
	external/FFmpeg/libavfilter/cuda/load_helper.o \
	external/FFmpeg/mythffmpeg \
	external/FFmpeg/mythffprobe \
	libs/libmythbase/mythversion.h \
	settings2.pro \
	src

	${RM} -rf android-package-source
	find -name moc -delete
	find -name obj -delete
	find -name .gitignore -delete
	find -name .gitattributes -delete

override_dh_shlibdeps: debian/libmythtv-recommends-dummy.so
	dh_shlibdeps

	dpkg-shlibdeps -dRecommends -edebian/libmythtv-recommends-dummy.so -xlibc6 -O >> debian/libmyth-35.substvars

debian/libmythtv-recommends-dummy.so:
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	-lcec \
	$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_dwz override_dh_quilt_unpatch override_dh_auto_test override_dh_auto_clean:

=== debian/watch ===
version=4

https://github.com/MythTV/mythtv/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
